/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package hu.nir.nmail.spring.beans;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author attila
 */
public class NmailErrors {
    private List<String> errorMessages;
    private List<String> errorCodeList;
    private List<String> fatalErrorMessages;
    private List<String> fatalErrorCodeList;
    private boolean error;
    
    public NmailErrors() {
        errorMessages = new ArrayList<String>();
    }

    public List<String> getErrorMessages() {
        return errorMessages;
    }

    public void setErrorMessages(List<String> errorMessages) {
        this.errorMessages = errorMessages;
    }
    
    public boolean isError() {
        if ((errorMessages != null && errorMessages.size() > 0) ||
            (getErrorCodeList() != null && getErrorCodeList().size() > 0)) {
            
            this.setError(true);
            return true;
        }
        
        this.setError(false);
        return false;
    }

    public void setError(boolean error) {
        this.error = error;
    }

    public List<String> getFatalErrorMessages() {
        return fatalErrorMessages;
    }

    public void setFatalErrorMessages(List<String> fatalErrorMessages) {
        this.fatalErrorMessages = fatalErrorMessages;
    }
    
    public void addErrorMessage(String errorMessage) {
        if (errorMessages == null) {
            errorMessages = new ArrayList<String>();
        }
        errorMessages.add(errorMessage);
    }
    
    public void addErrorCode(String errorCode) {
        if (getErrorCodeList() == null) {
            setErrorCodeList(new ArrayList<String>());
        }
        getErrorCodeList().add(errorCode);
    }
    
    public void addFatalErrorMessage(String fatalErrorMessage) {
        if (fatalErrorMessages == null) {
            fatalErrorMessages = new ArrayList<String>();
        }
        fatalErrorMessages.add(fatalErrorMessage);
    }
    
    public void addFatalErrorCode(String fatalErrorCode) {
        if (fatalErrorCodeList == null) {
            fatalErrorCodeList = new ArrayList<String>();
        }
        fatalErrorCodeList.add(fatalErrorCode);
    }

    public List<String> getFatalErrorCodeList() {
        return fatalErrorCodeList;
    }

    public void setFatalErrorCodeList(List<String> fatalErrorCodeList) {
        this.fatalErrorCodeList = fatalErrorCodeList;
    }

    public List<String> getErrorCodeList() {
        return errorCodeList;
    }

    public void setErrorCodeList(List<String> errorCodeList) {
        this.errorCodeList = errorCodeList;
    }
}
